{
    "$graph": [
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "ramMin": 8,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#cat-tool.cwl/file1"
                }
            ],
            "baseCommand": [
                "cat"
            ],
            "stdin": "$(inputs.file1.path)",
            "stdout": "output",
            "id": "#cat-tool.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output"
                    },
                    "id": "#cat-tool.cwl/output"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "default": {
                        "class": "File",
                        "path": "https://raw.githubusercontent.com/common-workflow-language/common-workflow-language/fe164457f370c2dfec5156f6d6d45818d53cb871/v1.0/v1.0/special_file"
                    },
                    "id": "#main/special_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/report/output",
                    "id": "#main/cores"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/special_file",
                            "id": "#main/count/special_file"
                        }
                    ],
                    "out": [
                        "#main/count/output"
                    ],
                    "run": "#dynresreq.cwl",
                    "id": "#main/count"
                },
                {
                    "in": [
                        {
                            "source": "#main/count/output",
                            "id": "#main/report/file1"
                        }
                    ],
                    "out": [
                        "#main/report/output"
                    ],
                    "run": "#cat-tool.cwl",
                    "id": "#main/report"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "ramMin": 8,
                    "coresMin": "$(inputs.special_file.size)",
                    "coresMax": "$(inputs.special_file.size)",
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#dynresreq.cwl/special_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dynresreq.cwl/output",
                    "outputBinding": {
                        "glob": "cores.txt"
                    }
                }
            ],
            "baseCommand": "echo",
            "stdout": "cores.txt",
            "arguments": [
                "$(runtime.cores)"
            ],
            "id": "#dynresreq.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
